using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyContracts.Attributes;
using TypographyDataModels.Models;

namespace TypographyContracts.ViewModels
{
    public class ImplementerViewModel : IImplementerModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column("ФИО", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ImplementerFIO { get; set; } = string.Empty;

        [Column("Пароль", width: 150)]
        public string Password { get; set; } = string.Empty;

        [Column("Стаж работы", width: 150)]
        public int WorkExperience { get; set; }

        [Column("Квалификация", width: 150)]
        public int Qualification { get; set; }
    }
}

